#!/bin/bash

if [ "$(uname -n)" != "MiSTer" ]
then
    echo "This script must be run"
    echo "on a MiSTer system."
    exit 1
fi

MAME_URL="https://archive.org/download/MAME220RomsOnlyMerged/"
HBMAME_URL="https://archive.org/download/hbmame0220/"

MRA_FOLDER="/media/fat/_Arcade"
MAME_FOLDER="/media/fat/_Arcade/mame/"
HBMAME_FOLDER="/media/fat/_Arcade/hbmame/"

echo "Building list ..."

LIST=`grep -oh "zip=.*zip" ${MRA_FOLDER}/*.mra | tr "'" '"' | cut -d '"' -f 2 | tr "|" "\n" | sort | uniq`

echo "Downloading ..."

for p in $LIST ; do
    if [ ! -f "$MAME_FOLDER$p" ]; then
        echo -e "mame/$p ... \c"

        if curl --location --head --fail -k --silent "$MAME_URL${p}" >/dev/null; then
            echo "downloading"
            wget "$MAME_URL${p}" -t 3 --show-progress -q --no-check-certificate -nc -c -P $MAME_FOLDER
        else
            echo "not found"
        fi

    fi
    if [ ! -f "$HBMAME_FOLDER$p" ]; then
        echo -e "hbmame/$p ... \c"

        if curl --location --head --fail -k --silent "$HBMAME_URL${p}" >/dev/null; then
            echo "downloading"
            wget "$HBMAME_URL${p}" -t 3 --show-progress -q --no-check-certificate -nc -c -P $HBMAME_FOLDER
        else
            echo "not found"
        fi
    fi
done

echo "Done!"
exit 0
